import State from "./State";
import ActionProbabilityMap from "./ActionProbabilityMap";
import Comment from "./Comment";
import Action from "./Action";
import ExplorationEvaluation from "./ExplorationEvaluation";
import Question from "../../background/domain/Question";

export default interface BackgroundService {
    getExplorationEvaluation(): Promise<ExplorationEvaluation | null>;
    getState(): Promise<State>;
    getProbabilityMap(): Promise<ActionProbabilityMap>;
    getCommentList(): Promise<Comment[]>;
    setUserViewPosition(newPosition: {x: number, y:number});
    upComment(comment: Comment);
    sendAction(action: Action): Promise<void>;
    sendAnswer(question: Question, value: boolean);
}